Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 26 Aug 2008 13:14:59 -0700

Jean Delvare wrote:
> 
> Reducing /usr/bin in size was totally worthwhile. Maybe not to you, but
> to the silent majority I am a proud member of, it was. (I'm not saying
> that the path that was taken to get there was optimal, just that the
> goal was sound.)
> 

You keep trying to use the Nixon argument ("silent majority.")  You *do* 
know that it was a rhetorical device used by Nixon's speechwriters to 
push ahead with policies despite compact opposition, don't you?

As far as I can tell, most of the arguments in favour came from fanbois 
of $OTHER_SCM which went along the lines of "why does git need all this 
stuff in /usr/bin, when $OTHER_SCM doesn't?"  It had nothing to do with 
reality, of course; it was just a difference between git and $OTHER_SCM 
which they choose to pick on.

	-hpa